# $Revision: 1.19 $, $Date: 2006/06/05 07:02:11 $
Summary:	OCaml tags
Summary(pl):	Tagi dla OCamla
Name:		ocaml-otags
Version:	3.08.0.1
Release:	6
License:	GPL
Group:		Development/Tools
Source0:	http://perso.rd.francetelecom.fr/alvarado/soft/otags-%{version}.tar.gz
# Source0-md5:	180f0a70e4da8864cbf35fd3022e63db
Vendor:		Cuihtlauac Alvardo <cuihtlauac.alvarado@francetelecom.com>
BuildRequires:	ocaml-camlp4 >= 3.07
%requires_eq	ocaml-camlp4
Obsoletes:	otags
Provides:	otags
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Program for making tags for Emacs and Vi, for OCaml source code.

%description -l pl
Program do tworzenia tagw dla Emacsa i Vi do kodu rdowego w OCamlu.

%prep
%setup -q -n otags-%{version}

%build
sed -i -e s:/usr/local/:/usr/:g -e s:/lib/:/%{_lib}/:g Makefile.depend
# don't use %%configure
./configure --prefix %{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	INSTALLLIBDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README HISTORY
%attr(755,root,root) %{_bindir}/*
%{_libdir}/ocaml/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-otags.spec,v $
Revision 1.19  2006/06/05 07:02:11  hawk
- release 6

Revision 1.18  2006/04/19 15:59:01  hawk
- release 5

Revision 1.17  2005/12/10 18:46:24  baggins
- release 4 for ocaml 3.09.0

Revision 1.16  2005/10/14 21:09:30  arekm
- rel 3

Revision 1.15  2005/05/24 00:12:32  ankry
- fix amd64, rel. 2

Revision 1.14  2005/05/23 22:50:32  ankry
- 3.08.0.1, builds

Revision 1.13  2005/05/21 17:26:43  ankry
- rel. 3

Revision 1.12  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.11  2003/09/03 22:06:01  malekith
- up to 3.06.8; rebuild with ocaml 3.07

Revision 1.10  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:51:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/22 18:04:52  malekith
- 3.06.7

Revision 1.7  2002/11/14 12:54:50  malekith
- yet another bugfix

Revision 1.6  2002/11/13 22:28:32  malekith
- 3.06.4; bugfix (from our -vi.patch)

Revision 1.5  2002/11/12 20:37:12  malekith
- aie... vi tags should be applied

Revision 1.4  2002/11/12 20:28:55  malekith
- up to 3.06.2
- removed obsolete patches
- clean some pl
- new %doc

Revision 1.3  2002/11/10 13:00:46  malekith
- release 3
- improved vi patch; partially from Ava Arachne Jarvis <ajar@katanalynx.dyndns.org>

Revision 1.2  2002/08/09 11:55:06  malekith
- patch to build with ocaml 3.05
- release 2

Revision 1.1  2002/05/10 11:48:45  malekith
- changed name to conform other packages
- few fixes



Revision 1.9  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/13 17:38:45  malekith
- br: ocaml, camlp4 (from ocaml-camlp4) >= 3.04-2 (-1 is broken)

Revision 1.7  2002/02/13 17:36:30  malekith
- updated to 3.04.3 (version for ocaml 3.04)
- added vi.patch, to make tags for vim properly

Revision 1.6  2002/01/18 02:14:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/06 09:45:04  qboosh
- Group changed to Development/Tools, cosmetics; release 3

Revision 1.4  2001/11/22 21:43:43  filon
- better descripton
- relsease 2

Revision 1.3  2001/11/01 01:24:12  blues
- typo

Revision 1.2  2001/10/29 20:53:21  filon
- changed previous log

Revision 1.1  2001/10/29 20:40:46  filon
- first release, spec written by me
- works, STB

Program for making tags for Emacs and Vi, for OCaml
source code
